Db2 (On Premises and Cloud)

Expand all | Collapse all

centos 7.4 support for pureScale and VMware

  • 1.  centos 7.4 support for pureScale and VMware

    Posted 30 days ago

    Hi,

    I've seen that Centos 7.4 is supported with 11.1.3.3. What does prevent the support for pureScale component ? 

    I would like to create 2 VMs with Centos 7.4 to install and run pureScale, for demo and test purpose.

    Best regards, JMB



  • 2.  RE: centos 7.4 support for pureScale and VMware

    Posted 30 days ago
    Hi  @jmblaise .  Off the top of my head I can not be certain if anything would absolutely prevent it from installing or operating, but it would not be a supported configuration.  The complete set of software stack components required for a supported pureScale environment do not all support CentOS at this time.


  • 3.  RE: centos 7.4 support for pureScale and VMware

    Posted 30 days ago

    Hi Kelly,

    1) I have installed TSAMP successfully by forcing --noprereqcheck
    I have also modified db2installSAM to avoid failing by trying to update RSCT when it was already done.
    # Proceed only when installSAM succeeds ( rc is 0 )
    # or when TSA of the same base level is already installed ( rc is 2 )
    # See installSAM for more information about the return codes
    #JMB
    rc=3
    case ${rc?} in
       0)
           # Update RSCT if Db2 comes with a another RSCT than what is packaged with TSAMP.
           update_rsct_if_needed
           rc=$?
           if [ ${rc?} -eq ${TRUE?} ]; then
               install_efixes
           fi
       ;;
       2)
           # Update RSCT if Db2 comes with a another RSCT than what is packaged with TSAMP.
           update_rsct_if_needed
           rc=$?
           if [ ${rc?} -eq ${TRUE?} ]; then
               # Install the efixes when the media efix is higher than or equal to the installed efix.
               # Note the "or equal to the installed efix" because installSAM cleans up
               # the /opt/IBM/tsamp/sam/efix directory. We need to refresh it.
               get_media_efix_version
               if [ ${MEDIA_EFIX?} -ge ${SYSTEM_EFIX?} ]; then
                  install_efixes
                  rc=$?
               fi
           fi
       ;;
    esac
    #JMB
    rc=0

    2) I have exported LINUX_DISTRIBUTION=REDHAT_AS_LINUX
    compileGPL is sucessful, but from db2_install, it says is could not complete due to a missing package
    db2prereqcheck -g is failing due to "kernel-source" missing ... it thinks I am using SuSE instead of CentOS.
    Checking prerequisites for DB2 installation. Version "11.1.3.3". Operating system "Linux" 
      
    Validating "gcc" ... 
      Package (or file) found: "gcc" 
      Requirement matched. 
      
    Validating "binutils" ... 
      Package (or file) found: "binutils" 
      Requirement matched. 
      
    Validating "cpp" ... 
      Package (or file) found: "cpp" 
      Requirement matched. 
      
    Validating "gcc-c++" ... 
      Package (or file) found: "gcc-c++" 
      Requirement matched. 
      
    Validating "kernel-source" ... 
    DBT3507E  The db2prereqcheck utility failed to find the following package or file: "kernel-source". 
      ERROR : Requirement not matched. 
    Requirement not matched for DB2 database "Server" . Version: "11.1.3.3". 
    Summary of prerequisites that are not met on the current system: 
    DBT3507E  The db2prereqcheck utility failed to find the following package or file: "kernel-source".

    3) Then I tried db2setup ... javacore ...

    4) Then I tried to create an SD instance, as all code was installed correctly.db2icrt fails because doing a db2prereqcheck ...
    [root@psnode1 sd]# ./db2prereqcheck -l  -p -o /tmp/db2prereqcheckOut.log   -hl psnode1,  -nm psnode1,psnode1,  -dl /dev/sdc  -iu  db2sdin1 -strict
    DBT3557E  The db2prereqcheck utility determined that the current platform is not supported with the DB2 pureScale Feature. 

    It seems to me that it could work fine with centOS 7.4, but IBM labs don't do any change to support it, at least for DEV. In my opinion, this is the best way to continue promote PostgreSQL by not allowing DBAs to test pureScale on a free Linux distribution.

    Kind regards,

    JMB




  • 4.  RE: centos 7.4 support for pureScale and VMware

    Posted 30 days ago

    https://developers.redhat.com/blog/2016/03/31/no-cost-rhel-developer-subscription-now-available/

    No-Cost RHEL Developer Subscription

     

    It turns out this has been available for 2 years.

     

    https://developers.redhat.com/ and to register https://developers.redhat.com/register/

     

    http://smooth1.co.uk/installs/dbinstalls.html#2.6 to install.

     

    When my subscription expired I had to logon to the developer portal to accept some updated conditions and then after 1 day my free developer subscription has renewable by rerunning the subscription-manager commands.

     

     

     

     

     

    Regards,

    David.




  • 5.  RE: centos 7.4 support for pureScale and VMware

    Posted 30 days ago

    Hi David,

    Thanks a lot for pointing out this program.

    I was able to download and install RHEL 7.5, that was released on April 10.

    Now, installing PureScale still does not work, but I will make a new thread.

    Thanks again & Best regards,

    JMB